## edu.stanford.nlp.io
Class InDataStreamFile

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.DataInputStream
                  edu.stanford.nlp.io.InDataStreamFile

All Implemented Interfaces:
  Closeable, DataInput

    public class InDataStreamFile

extends DataInputStream

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`InDataStreamFile(File file)`
`InDataStreamFile(String filename)`
`InDataStreamFile(URL url)`

Method Summary

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InDataStreamFile

    public InDataStreamFile(String filename)
                     throws FileNotFoundException

Throws:
  `FileNotFoundException`

### InDataStreamFile

    public InDataStreamFile(File file)
                     throws FileNotFoundException

Throws:
  `FileNotFoundException`

### InDataStreamFile

    public InDataStreamFile(URL url)
                     throws IOException

Throws:
  `IOException`

Stanford NLP Group